ph7cms

https://www.virtualmin.com/documentation/web/multiplephp

https://www.virtualmin.com/node/40641

https://www.virtualmin.com/node/33480

yum install rh-php70-php-gd

https://www.virtualmin.com/node/33480

https://www.virtualmin.com/node/33480

mbstring also need 5.4

 

https://webtatic.com/packages/php70/

[root@srv30 public_html]# yum install php7.0-mbstring
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: ftp.nluug.nl
* epel: ftp.nluug.nl
* extras: ftp.nluug.nl
* updates: ftp.nluug.nl
No package php7.0-mbstring available.
Error: Nothing to do
[root@srv30 public_html]# yum install php70w-mbstring
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: ftp.nluug.nl
* epel: ftp.nluug.nl
* extras: ftp.nluug.nl
* updates: ftp.nluug.nl
No package php70w-mbstring available.
Error: Nothing to do
[root@srv30 public_html]# yum install epel-release
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: ftp.nluug.nl
* epel: ftp.nluug.nl
* extras: ftp.nluug.nl
* updates: ftp.nluug.nl
Package epel-release-7-11.noarch already installed and latest version
Nothing to do
[root@srv30 public_html]# rpm -Uvh https://mirror.webtatic.com/yum/el7/webtatic-release.rpm
Retrieving https://mirror.webtatic.com/yum/el7/webtatic-release.rpm
warning: /var/tmp/rpm-tmp.EDir3Y: Header V4 RSA/SHA1 Signature, key ID 62e74ca5: NOKEY
Preparing… ################################# [100%]
Updating / installing…
1:webtatic-release-7-3 ################################# [100%]
[root@srv30 public_html]# yum install php70w-mbstring
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: ftp.nluug.nl
* epel: ftp.nluug.nl
* extras: ftp.nluug.nl
* updates: ftp.nluug.nl
* webtatic: uk.repo.webtatic.com
webtatic | 3.6 kB 00:00:00
(1/2): webtatic/x86_64/group_gz | 448 B 00:00:00
(2/2): webtatic/x86_64/primary_db | 263 kB 00:00:00
Resolving Dependencies
–> Running transaction check
—> Package php70w-mbstring.x86_64 0:7.0.30-1.w7 will be installed
–> Processing Dependency: php70w-common(x86-64) = 7.0.30-1.w7 for package: php70w-mbstring-7.0.30-1.w7.x86_64
–> Running transaction check
—> Package php70w-common.x86_64 0:7.0.30-1.w7 will be installed
–> Processing Conflict: php70w-common-7.0.30-1.w7.x86_64 conflicts php-common < 7.0
–> Finished Dependency Resolution
Error: php70w-common conflicts with php-common-5.4.16-45.el7.x86_64
You could try using –skip-broken to work around the problem
You could try running: rpm -Va –nofiles –nodigest
[root@srv30 public_html]#

 

 

 

 


yum install yum-plugin-replace

 

 

Geef een reactie